# Uses of Class
org.eclipse.emf.compare.diff.FeatureFilter

Packages that use FeatureFilter
Package
Description
org.eclipse.emf.compare.diff
org.eclipse.emf.compare.internal
org.eclipse.emf.compare.internal.conflict

## Uses of FeatureFilter in org.eclipse.emf.compare.diff

Methods in org.eclipse.emf.compare.diff that return FeatureFilter
Modifier and Type
Method
Description
`protected FeatureFilter`
DefaultDiffEngine.`createFeatureFilter()`
This will be used in order to create the `FeatureFilter` that should be used by this engine to determine the structural features on which it is to try and detect differences.

## Uses of FeatureFilter in org.eclipse.emf.compare.internal

Methods in org.eclipse.emf.compare.internal that return FeatureFilter
Modifier and Type
Method
Description
`FeatureFilter`
FeatureFilterAdapter.`getFeatureFilter()`
Constructors in org.eclipse.emf.compare.internal with parameters of type FeatureFilter
Modifier
Constructor
Description
``
`FeatureFilterAdapter(FeatureFilter featureFilter)`
Constructor.

## Uses of FeatureFilter in org.eclipse.emf.compare.internal.conflict

Methods in org.eclipse.emf.compare.internal.conflict that return FeatureFilter
Modifier and Type
Method
Description
`protected FeatureFilter`
AbstractConflictSearch.`getFeatureFilter(Comparison comp)`
Returns the feature filter attached to the given comparison if any.